Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261948 - media-video/vlc-0.9.8a crashes when attempting to load XSPF playlist.
Summary: media-video/vlc-0.9.8a crashes when attempting to load XSPF playlist.
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-10 06:51 UTC by Aniruddha Shankar
Modified: 2009-07-07 08:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
XSPF playlist which crashes VLC (20090309.xspf,5.31 KB, text/plain)
2009-03-10 06:52 UTC, Aniruddha Shankar
Details
gdb backtrace of crash (vlccrash.log,4.53 KB, text/plain)
2009-03-10 06:53 UTC, Aniruddha Shankar
Details
fix (0001-Fix-343c86e8d2522b5c3b482fee76ea16be7c34b3ed.patch,1.78 KB, patch)
2009-03-11 12:52 UTC, Alexis Ballier
Details | Diff
VLC crash log - full bt (vlccrashlog2-btfull.log,31.96 KB, text/plain)
2009-03-14 13:20 UTC, Aniruddha Shankar
Details
VLC crash log - full bt (vlccrashlog2-thread_apply_all_bt_full.log,46.58 KB, text/plain)
2009-03-14 13:20 UTC, Aniruddha Shankar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aniruddha Shankar 2009-03-10 06:51:22 UTC
I used VLC itself to create and save an XSPF playlist of streaming video URLs from MSNBC's website. When I try to load the same playlist onto VLC to play it again, vlc crashes with a segfault. I rebuilt vlc and libxml2 with debugging enabled and am attaching a backtrace.


Reproducible: Always

Steps to Reproduce:
1.Start vlc
2.Attempt to load attached XSPF playlist
3.




Portage 2.1.6.7 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r3 x86_64)                                  
=================================================================
System uname: Linux-2.6.28-gentoo-r3-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8200_@_2.66GHz-with-glibc2.2.5
Timestamp of tree: Mon, 09 Mar 2009 09:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.3
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.4
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -g -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d/etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2 -pipe -g -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.averse.net/pub/gentoo/ "
LDFLAGS="-Wl,-O1"
LINGUAS="en hi hi_IN"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 audiofile bash-completion berkdb bittorrent bzip2 cairo caps captury cdparanoia chm cleartype cli cracklib crypt dbus dgadhcp dirac disk-partition djvu dri encode exif extra fam ffmpeg fftw firefox flac fontconfig fortran fuse games gdbm gif git glitz gnutls gphoto2 gpm gs gsm gtk hal htmlhandbook iconv id3tag ieee1394 imagemagick imlib inotify isdnlog java jbig jingle jpeg jpeg2k kate kde kde4 kipi laptop lcms libass libcaca libnotify lm_sensors logitech-mouse lzo matroska midi mmap mmx mng mp3 mpeg msn mudflap multilib musepack ncurses network nls nptl nptlonly nsplugin ogg openal opengl openmp oss pam pcre pdf perl plasma png pppd pulseaudio python qt4 readline reflection rle sasl schroedinger sdl sdl-image semantic-desktop session skins sndfile speex spell spl sse sse2 ssl ssse3 startup-notification subversion suid svg sysfs taglib tcpd theora threads tiff truetype unicode usb utils vim-syntax vorbis webkit x264 xcb xcomposite xft xine xinerama xml xorg xosd xscreensaver xulrunner xv xvid xvmc yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en hi hi_IN" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Aniruddha Shankar 2009-03-10 06:52:12 UTC
Created attachment 184529 [details]
XSPF playlist which crashes VLC
Comment 2 Aniruddha Shankar 2009-03-10 06:53:32 UTC
Created attachment 184530 [details]
gdb backtrace of crash

rebuilt vlc with USE=debug
rebuilt libxml2 with FEATURES="nostrip -splitdebug" USE=debug
Comment 3 Aniruddha Shankar 2009-03-10 07:45:03 UTC
The XSPF file plays fine on Windows with VLC 0.8.6f and with VLC 0.9.8a


Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-10 16:47:08 UTC
Reassigning to video herd.
Comment 5 Alexis Ballier gentoo-dev 2009-03-11 12:52:18 UTC
Created attachment 184680 [details, diff]
fix

try this patch
Comment 6 Alexis Ballier gentoo-dev 2009-03-11 13:14:51 UTC
Comment on attachment 184680 [details, diff]
fix

forget about that patch; it is only for 0.9.9_rc2 and is unrelated...
Comment 7 Mart Raudsepp gentoo-dev 2009-03-11 14:37:37 UTC
(In reply to comment #2)
> Created an attachment (id=184530) [edit]
> gdb backtrace of crash
> 
> rebuilt vlc with USE=debug
> rebuilt libxml2 with FEATURES="nostrip -splitdebug" USE=debug

FEATURES="splitdebug" without nostrip is quite fine for debugging - no need to have the debug symbols in the main binary as you are doing now as gdb will find it anyway - that is, your FEATURES in make.conf as shown in the emerge --info is quite sufficient.

USE=debug is usually used for compiling in extra debugging code, like debugging assert checks, etc. -ggdb or the like in CFLAGS is your responsibility and with USE=debug those getting added is just a side-effect, but you already have "-g -ggdb" (they are pretty much equal on linux, so you could just have -ggdb).

Can you instead do vlc and libxml2 with -O1 temporarily instead of -O2? (feel free to keep the temporary USE=debug on them).
And a full backtrace could be useful - "bt full" instead of "bt" in gdb. That will also output local variable values for each frame then.
Comment 8 Aniruddha Shankar 2009-03-14 13:18:41 UTC
Hi Mart & Alexis

I compiled with FEATURES="nostrip -splitdebug" becasue the first time i asked for a backtrace, it contained likes like 

#1  0x00007f9703c8dbe7 in ?? () from /usr/lib/libxml2.so.2

I took that to mean that it was somehow attempting to find the debug information from libxml2 but could not isolate it as libxml2's debug info had been "splitdebugged".

Am I wrong in assuming this ? Should I have not bothered to do "nostrip -splitdebug" ?

Thanks for your pointer, Mart, that -g -ggdb is redundant on Linux. 

I just recompiled vlc and libxml2 with -O0 and FEATURES="nostrip -splitdebug" and reproduced the crash. The output of bt full is appended. I am also appending the output of thread apply all bt full, in case that is any help.
Comment 9 Aniruddha Shankar 2009-03-14 13:20:06 UTC
Created attachment 184944 [details]
VLC crash log - full bt

VLC crash log with bt full.
Comment 10 Aniruddha Shankar 2009-03-14 13:20:50 UTC
Created attachment 184945 [details]
VLC crash log - full bt

This one was taken with the gdb command

thread apply all bt full
Comment 11 Alexis Ballier gentoo-dev 2009-07-04 11:23:38 UTC
Could you please try with vlc 0.9.9a-r1 and, if it still crashes, with 1.0.0_rc4 ?
I recall seeing some crash fixes with latest libxml2 but can't remember when these have been pushed :/
Comment 12 Alexis Ballier gentoo-dev 2009-07-07 08:40:18 UTC
(In reply to comment #11)
> Could you please try with vlc 0.9.9a-r1 and, if it still crashes, with
> 1.0.0_rc4 ?
> I recall seeing some crash fixes with latest libxml2 but can't remember when
> these have been pushed :/

please try with 1.0.0, its fine here.